Skip to main content
`Ctrl`+`K`

# MatSolveAdd

Computes \(x = y + A^{-1}*b\), given a factored matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolveAdd(Mat mat, Vec b, Vec y, Vec x)

Neighbor-wise Collective

## Input Parameters

- mat - the factored matrix

- b - the right-hand-side vector

- y - the vector to be added to

## Output Parameter

- x - the result vector

## Note

The vectors `b` and `x` cannot be the same. I.e., one cannot call `MatSolveAdd`(A,x,y,x).

## See Also

Matrices, `Mat`, Matrix Factorization, `MatSolve()`, `MatGetFactor()`, `MatSolveTranspose()`, `MatSolveTransposeAdd()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatSolveAdd_SeqAIJ() in src/mat/impls/aij/seq/aijfact.c
MatSolveAdd_Elemental() in src/mat/impls/elemental/matelem.cxx
MatSolveAdd_ScaLAPACK() in src/mat/impls/scalapack/matscalapack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages